#include "menu_amenu.h"

#include <string>
#include <vector>
#include <deque>

#include <joystick.h>

class AUSBJoystickMenu:
	public AMenu
{
	int d_joystickNumber; //Joystick 1 or 2 (TODO - allow 3 or 4)
	Joystick * d_joystick;

public:
	AUSBJoystickMenu(int driver, const std::deque<std::string> & tokens);
	virtual ~AUSBJoystickMenu();

	virtual std::string type()
	{ return "USBJoystick";}

	virtual void frame(int keysPressed);
	virtual void clean();
};

