#include "menu_amenu.h"

#include <string>
#include <vector>
#include <deque>

#include <keyboard.h>

class AUSBKeyboardMenu:
	public AMenu
{
	Keyboard * d_keyboard;

public:
	AUSBKeyboardMenu(int i, const std::deque<std::string> & tokens);
	virtual ~AUSBKeyboardMenu();

	virtual std::string type()
	{ return "USBKeyboard";}

	virtual void frame(int keysPressed);
	virtual void clean();
};

