#include "menu_amenu.h"

#include <linux/input.h>

#include <string>
#include <vector>
#include <deque>

class APandoraKeyboardMenu:
	public AMenu
{
	int d_pandoraKeys;
	int d_pandoraControls;

	char d_keySnap[KEY_MAX/8 + 1];
	char d_controlSnap[KEY_MAX/8 + 1];

public:
	APandoraKeyboardMenu(int i, const std::deque<std::string> & tokens);
	virtual ~APandoraKeyboardMenu();

	virtual std::string type()
	{ return "PandoraKeyboard";}

	virtual void frame(int keysPressed);
	virtual void clean();

private:
	int pressed(int key) const;
	int controlPressed(int key) const;
};

