void gp2x_reg_init(void);

void gp2x_sound_init(int rate, int bits, int stereo);
void gp2x_sound_play(void);
int gp2x_sound_frame(void *, void *, int);

void gp2x_video_init(int bpp, int width, int height, int buffers);
void gp2x_video_flip();
void gp2x_video_setpalette();
void gp2x_fill_rect(unsigned short x, unsigned short y, unsigned short width, unsigned short height, unsigned short col);
void gp2x_video_plot(unsigned short x, unsigned short y, unsigned short col);
extern unsigned short * gp2x_screen15;
extern unsigned char * gp2x_screen8;
#define gp2x_video_color15(R,G,B,A)  (((R&0xF8)<<8)|((G&0xF8)<<3)|((B&0xF8)>>3)|(A<<5))
void gp2x_video_color8(int C, int R, int G, int B);

unsigned long gp2x_joystick_read();

void gp2x_deinit();

